function proceed( processDefCd , versionCd , processCd , activityCd , groupId , userId ){
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";

    var oWkfProcess = new WkfProcess( processDefCd , versionCd , processCd , groupId );
    var processInfo = oWkfProcess.getProcessInfo();

    if( processInfo.app_key.length < 2 ){
        return STATUS_COMPLETED;
    }

    var processName = processInfo.process_name;
    if( DatabaseManager.getDbName() == "PostgreSQL" ){
        processName = processName.replace(/\\/g, "\\\\");
    }

    var userName  = "";
    if( userId != processInfo.draft_user_cd ){
        var locale = AccessSecurityManager.getSessionInfo().locale;
        var sSql   = "SELECT " +
                         " user_t_i.user_name " +
                     " FROM " +
                         " b_m_user_t user_t, " +
                         " b_m_user_t_i user_t_i " +
                     " WHERE " +
                         " user_t.user_cd = ? " +
                     " AND " +
                         " user_t.start_date <= ? " +
                     " AND " +
                         " user_t.end_date > ? " +
                     " AND " +
                         " user_t.user_cd = user_t_i.user_cd " +
                     " AND " +
                         " user_t.term_cd = user_t_i.term_cd " +
                     " AND " +
                         "user_t_i.locale_id = ?";

        var param_list = new Array();
        param_list[0]  = new DbParameter(userId, DbParameter.TYPE_STRING);
        param_list[1]  = new DbParameter(processInfo.draft_appoint_date, DbParameter.TYPE_STRING);
        param_list[2]  = new DbParameter(processInfo.draft_appoint_date, DbParameter.TYPE_STRING);
        param_list[3]  = new DbParameter(locale, DbParameter.TYPE_STRING);

        var db_result = DatabaseManager.select( sSql, param_list );
        if ( db_result.error ) {
            return STATUS_FAULT;
        }
        if( !isBlank(db_result.data[0].user_name)) {
            userName = db_result.data[0].user_name;
        }
    }

    var update_where = "parameter_cd = '" + processInfo.app_key[0] + "'" +
                       " AND " +
                       "application_cd = " + processInfo.app_key[1];

    var update_data                    = new Object();
    update_data.process_cd             = processCd;
    update_data.process_name           = processName;
    update_data.draft_date             = processInfo.draft_date;
    update_data.draft_user_cd          = processInfo.draft_user_cd;
    update_data.draft_user_name        = processInfo.draft_user_name;
    update_data.transactor_cd          = userId;
    update_data.transactor_name        = userName;
    update_data.application_state_flag = "1";

    var result = DatabaseManager.update( "fc_t_application" , update_where , update_data );

    if(result.error) {
        return STATUS_FAULT;
    }

    var ary = new Array();
    var obj = new Object();
    obj.item_id = "title7";
    obj.postscript_flag = FcSwitchPostScriptFlag.PS_READONLY;
    ary[0] = obj;

    obj = new Object();
    obj.item_id = "approve_comment";
    obj.postscript_flag = FcSwitchPostScriptFlag.PS_WRITE;
    ary[1] = obj;

    var oFcSwitch = new FcSwitchPostScriptFlag(userId , groupId);
    var result = oFcSwitch.changePostScriptFlag(processInfo.app_key[0], processInfo.app_key[1], ary);
    if (!result.isSuccess) {
        return result.getMessage;
    }

    return STATUS_COMPLETED;
}

function pullDraft( processDefCd , versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}

function returnStart( processDefCd , versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}

function returnDraft( processDefCd, versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}

function returnTask( processDefCd, versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}

function rejection( processDefCd , versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}

function compulsion( processDefCd , versionCd , processCd , activityCd , groupId , userId ) {
    var STATUS_COMPLETED = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_COMPLETED + "";
    var STATUS_FAULT     = Packages.jp.co.intra_mart.foundation.bpw.model.data.EISModelStaticIF.STATUS_FAULT + "";
    return STATUS_COMPLETED;
}
