CREATE TABLE sample_population (
    id              DECIMAL(5)   NOT NULL,
    year            DECIMAL(4),
    age_id          DECIMAL(5),
    prefecture_id   DECIMAL(5),
    population      DECIMAL(20),
    PRIMARY KEY (id)
);
CREATE TABLE sample_prefecture (
    id              DECIMAL(5)   NOT NULL,
    name            VARCHAR(50),
    region_id       DECIMAL(5),
    PRIMARY KEY (id)
);
CREATE TABLE sample_region (
    id              DECIMAL(5)   NOT NULL,
    name            VARCHAR(50),
    PRIMARY KEY (id)
);
CREATE TABLE sample_age (
    id              DECIMAL(5)   NOT NULL,
    age             VARCHAR(50),
    PRIMARY KEY (id)
);
CREATE TABLE sample_prefecture_area (
    id              DECIMAL(5)   NOT NULL,
    area            DECIMAL(7,2) NOT NULL,
    PRIMARY KEY (id)
);
CREATE VIEW prefecture_area_value (pre_name,reg_name,area_value) AS 
SELECT 
    sample_prefecture.name AS pre_name, 
    sample_region.name AS reg_name, 
    sample_prefecture_area.area AS area_value 
FROM 
    (sample_prefecture 
    INNER JOIN 
        sample_prefecture_area 
        ON  sample_prefecture.id = sample_prefecture_area.id 
        INNER JOIN 
            sample_region  ON  sample_prefecture.region_id = sample_region.id) 
WHERE 
    sample_region.id = 3;
